OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApplicationProtocolDefinition Class Reference

`#include <StepBasic_ApplicationProtocolDefinition.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_ApplicationProtocolDefinition ()
| Returns a ApplicationProtocolDefinition .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aStatus, const Handle(TCollection_HAsciiString)&aApplicationInterpretedModelSchemaName, const Standard_Integer aApplicationProtocolYear, const Handle(StepBasic_ApplicationContext)&aApplication)
Standard_EXPORT void | SetStatus (const Handle(TCollection_HAsciiString)&aStatus)
Standard_EXPORT Handle_TCollection_HAsciiString | Status () const
Standard_EXPORT void | SetApplicationInterpretedModelSchemaName (const Handle(TCollection_HAsciiString)&aApplicationInterpretedModelSchemaName)
Standard_EXPORT Handle_TCollection_HAsciiString | ApplicationInterpretedModelSchemaName () const
Standard_EXPORT void | SetApplicationProtocolYear (const Standard_Integer aApplicationProtocolYear)
Standard_EXPORT Standard_Integer | ApplicationProtocolYear () const
Standard_EXPORT void | SetApplication (const Handle(StepBasic_ApplicationContext)&aApplication)
Standard_EXPORT Handle_StepBasic_ApplicationContext | Application () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | status
Handle_TCollection_HAsciiString | applicationInterpretedModelSchemaName
Standard_Integer | applicationProtocolYear
Handle_StepBasic_ApplicationContext | application

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ApplicationProtocolDefinition::StepBasic_ApplicationProtocolDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_ApplicationContext StepBasic_ApplicationProtocolDefinition::Application | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ApplicationProtocolDefinition::ApplicationInterpretedModelSchemaName | ( |  | ) | const

Standard_EXPORT Standard_Integer StepBasic_ApplicationProtocolDefinition::ApplicationProtocolYear | ( |  | ) | const

Standard_EXPORT const StepBasic_ApplicationProtocolDefinition::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_ApplicationProtocolDefinition::Init | ( | const Handle(TCollection_HAsciiString)& | aStatus,
|  | const Handle(TCollection_HAsciiString)& | aApplicationInterpretedModelSchemaName,
|  | const Standard_Integer | aApplicationProtocolYear,
|  | const Handle(StepBasic_ApplicationContext)& | aApplication
| ) | `[virtual]`

Standard_EXPORT void StepBasic_ApplicationProtocolDefinition::SetApplication | ( | const Handle(StepBasic_ApplicationContext)& | aApplication | ) |

Standard_EXPORT void StepBasic_ApplicationProtocolDefinition::SetApplicationInterpretedModelSchemaName | ( | const Handle(TCollection_HAsciiString)& | aApplicationInterpretedModelSchemaName | ) |

Standard_EXPORT void StepBasic_ApplicationProtocolDefinition::SetApplicationProtocolYear | ( | const Standard_Integer | aApplicationProtocolYear | ) |

Standard_EXPORT void StepBasic_ApplicationProtocolDefinition::SetStatus | ( | const Handle(TCollection_HAsciiString)& | aStatus | ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ApplicationProtocolDefinition::Status | ( |  | ) | const

## Field Documentation

Handle_StepBasic_ApplicationContext StepBasic_ApplicationProtocolDefinition::application`[private]`

Handle_TCollection_HAsciiString StepBasic_ApplicationProtocolDefinition::applicationInterpretedModelSchemaName`[private]`

Standard_Integer StepBasic_ApplicationProtocolDefinition::applicationProtocolYear`[private]`

Handle_TCollection_HAsciiString StepBasic_ApplicationProtocolDefinition::status`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApplicationProtocolDefinition.hxx